<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class RecentEmojiWeight extends \Google\Protobuf\Internal\Message
{
    


    protected $emoji = null;
    


    protected $weight = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getEmoji()
    {
        return isset($this->emoji) ? $this->emoji : '';
    }

    public function hasEmoji()
    {
        return isset($this->emoji);
    }

    public function clearEmoji()
    {
        unset($this->emoji);
    }

    




    public function setEmoji($var)
    {
        GPBUtil::checkString($var, True);
        $this->emoji = $var;

        return $this;
    }

    



    public function getWeight()
    {
        return isset($this->weight) ? $this->weight : 0.0;
    }

    public function hasWeight()
    {
        return isset($this->weight);
    }

    public function clearWeight()
    {
        unset($this->weight);
    }

    




    public function setWeight($var)
    {
        GPBUtil::checkFloat($var);
        $this->weight = $var;

        return $this;
    }

}

